
QGIS Application - Bug report #1052

Uninitialized field variables in QgsPostgresProvider in trunk r8383

2008-04-29 12:12 AM - shader -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11112

Description

[[QgsPostgresProvider]] has bug in uninitilized variables like useWkbHex and others that must be initialized in

[[QgsPostgresProvider]]::postgisVersion. But if we have 2 and more layers from same [[PostgreSQL]] database then 1st layer has

properly initialized, but 2nd and others hasn't. Function postgisVersion not executed for that layers. It may be fixed by simple patch

(attached)

Associated revisions

Revision d0c0676b - 2008-04-30 09:04 PM - Jürgen Fischer

fix #1052

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8389 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 518a97b8 - 2008-04-30 09:04 PM - Jürgen Fischer

fix #1052

git-svn-id: http://svn.osgeo.org/qgis/trunk@8389 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-04-30 12:05 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:518a97b8 (SVN r8390)

Files

qgis-0.10-alt-fix-postgres-provider.diff 469 Bytes 2008-04-28 shader -
